Test and Measurement Forum

Mono installation workaround for CentOS6

Discussion forum for the new Picoscope Linux software

Mono installation workaround for CentOS6

Postby mario_ » Fri Feb 14, 2014 4:02 pm

PicoScope6GTK requires mono installation for operation. CentOS6 and derivatives don't provide this requirement. Yet there is workaround using packages available on opensuse.download.org server. To get mono requirement for PicoScope6GTK on Centos6, run the following steps in the terminal:

1. Configure custom repository
Code: Select all
sudo curl -o /etc/yum.repos.d/monoEL6.repo http://download.opensuse.org/repositories/Mono:/EL6/RHEL6/Mono:EL6.repo
sudo yum check-update


2. Install gdiplus dependecy
Code: Select all
sudo yum install libgdiplus


3. Install PicoScope as described in topic13431.html - Fedora 20 section
Code: Select all
sudo curl -o /etc/yum.repos.d/picoscope.repo http://labs.picotech.com/rpm/picoscope.repo
sudo rpmkeys --import http://labs.picotech.com/rpm/repodata/repomd.xml.key
sudo yum check-update
sudo yum install picoscope


4. Configure gdiplus to be used in mono
a. get the location of the library (/usr/lib64/libgdiplus.so.0 usually)
Code: Select all
sudo ldconfig -p | grep -m1 gdiplus | cut -d' ' -f4

b. edit mono config (replace vi with your favorite text editor)
Code: Select all
sudo vi /etc/mono/config

c. Insert following line before the last containing </configuration>, replacing [location] with what you found in step a.
Code: Select all
<dllmap dll="gdiplus.dll" target="[location]" os="!windows"/>

d. save the file and PicoScope should work!
mario_
Site Admin
Site Admin
 
Posts: 112
Joined: Fri Sep 13, 2013 12:57 pm

Re: Mono installation workaround for CentOS6

Postby spiralphenomena » Mon Nov 23, 2015 6:08 pm

I'm still having some issues installing on CentOS. I get the following even after I've installed libgdiplus:
Code: Select all
Error: Package: picoscope-6.11.8-4r3.noarch (picoscope)
           Requires: mono(Microsoft.VisualBasic)
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest
spiralphenomena
Newbie
 
Posts: 0
Joined: Mon Nov 23, 2015 6:05 pm

Re: Mono installation workaround for CentOS6

Postby mario_ » Tue Dec 01, 2015 12:02 pm

Hi spiralphenomena,

The repository doesn't provide mono-basic package. Maybe you could source it from somewhere else? For example: https://www.rpmfind.net/linux/RPM/opens ... oarch.html
(then download and rpm -i <file>)
I'm not sure though if it won't need any more dependencies.


Mario
mario_
Site Admin
Site Admin
 
Posts: 112
Joined: Fri Sep 13, 2013 12:57 pm

Re: Mono installation workaround for CentOS6

Postby clabbate » Fri Jul 15, 2016 9:38 am

Hello,

I just tried to follow this procedure, but I have problems with the
Code: Select all
yum install picoscope
part.

Apparently the version of zlib is not recent enough, the version provided with CentOS 6.8 is the 1.2.3-29.

Somebody know a solution for this issue ?

Thanks in advance
clabbate
Newbie
 
Posts: 0
Joined: Fri Jul 15, 2016 9:06 am


Return to PicoScope for Linux

Who is online

Users browsing this forum: No registered users and 0 guests